Subject: bug#73946: Cannot install emacs-common

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Oct 2024 16:38:39 +0300

> From: Roger Merritt <[email-masked]>
> Date: Tue, 22 Oct 2024 13:07:21 +0700
> 
> I have installed emacs 29.4, but am not able to install emacs-common. The command 'sudo apt install
> emacs-common' gives me:
> [code]
> $ sudo apt --fix-broken install
> [sudo] password for roger: 
> Reading package lists... Done
> Building dependency tree... Done
> Reading state information... Done
> Correcting dependencies... Done
> The following additional packages will be installed:
>   emacs-common
> Suggested packages:
>   emacs-common-non-dfsg ncurses-term
> The following NEW packages will be installed:
>   emacs-common
> 0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
> 16 not fully installed or removed.
> Need to get 0 B/16.1 MB of archives.
> After this operation, 80.0 MB of additional disk space will be used.
> Do you want to continue? [Y/n] y
> (Reading database ... 361468 files and directories currently installed.)
> Preparing to unpack .../emacs-common_1%3a29.3+1-1ubuntu2+esm1_all.deb ...
> Unpacking emacs-common (1:29.3+1-1ubuntu2+esm1) ...
> dpkg: error processing archive /var/cache/apt/archives/emacs-common_1%3a29.3+1-1
> ubuntu2+esm1_all.deb (--unpack):
>  trying to overwrite '/usr/include/emacs-module.h', which is also in package emacs28
> 28.1~1.git5a223c7f2e-kk3+22.04
> dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
> [/code]
> I have bolded the apparent error. This looks like a problem in the package, rather than in the program,  but I
> do not know who to report this to. Can you help?

We don't prepare the Ubuntu packages (and I personally don't even know
what "emacs-common" is).  So please take this up with the people who
prepare and distribute the Ubuntu distros.